CREATE OR REPLACE TRIGGER DTULTATU_GRUPFILI
BEFORE INSERT OR UPDATE OR DELETE
ON GRUPFILI FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDGRUPFILI,0 ) <> NVL(:NEW.CDGRUPFILI,0)) OR
         (NVL(:OLD.NMGRUPFILI,0 ) <> NVL(:NEW.NMGRUPFILI,0)) THEN
         :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('GRUPFILI', '','CDGRUPFILI='||:OLD.CDGRUPFILI||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE GRUPFILI MODIFY DTULTATU DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_GRUPFILI','6.35.027'); END;
/

