create or replace TRIGGER BLOQUEA_PEDIDO_OL
BEFORE DELETE OR UPDATE OR INSERT ON ITEMPEDEXOL
FOR EACH ROW
DECLARE
   V_CDFILIALSAGA VARCHAR2(20);
   V_CDFILIAL     VARCHAR2(4);
   V_CONT         INTEGER;
   V_OWNER        VARCHAR2(30);
   V_NAME         VARCHAR2(30);
   V_LINENO       NUMBER;
   V_CALLER_T     VARCHAR2(30);
   V_BOBLOQUEA    BOOLEAN;
BEGIN
   V_BOBLOQUEA := TRUE;
   IF DELETING OR UPDATING THEN
      OWA_UTIL.WHO_CALLED_ME(V_OWNER, V_NAME, V_LINENO, V_CALLER_T);
      IF DELETING THEN
         IF (UPPER(V_NAME) = 'IMPORTA_RETORNO_SAGA') THEN
            V_BOBLOQUEA := FALSE;
         END IF;
      END IF;
      IF UPDATING THEN
         IF (UPPER(V_NAME) = 'IMPORTA_RETORNO_SAGA') OR (UPPER(V_NAME) LIKE '%A_SAIDA') THEN
            V_BOBLOQUEA := FALSE;
         END IF;
      END IF;
   END IF;
   IF (V_BOBLOQUEA) THEN      
      BEGIN
         SELECT CDFILIOPELOG
           INTO V_CDFILIAL
           FROM PEDIDOEXOL
          WHERE CDFILDEST = :OLD.CDFILDEST
            AND CDFILLANC = :OLD.CDFILLANC
            AND NRPEDEXOL = :OLD.NRPEDEXOL;   
      EXCEPTION
         WHEN OTHERS THEN
            V_CDFILIAL := NULL;
      END;
   
      IF (V_CDFILIAL IS NOT NULL) THEN
         BEGIN
            SELECT CDFILIALSAGA
              INTO V_CDFILIALSAGA
              FROM PARAMFILIAL
             WHERE CDFILIAL = V_CDFILIAL;
         EXCEPTION
            WHEN OTHERS THEN
               V_CDFILIALSAGA := NULL;
         END;
      
         IF (V_CDFILIALSAGA IS NOT NULL) THEN
            SELECT COUNT(1)
              INTO V_CONT
              FROM INT_ORDENTSAI 
             WHERE NROORD = '1'||:OLD.CDFILDEST||:OLD.CDFILLANC||:OLD.NRPEDEXOL
               AND FLAPRC IN ('1', '2');
            
            IF V_CONT > 0 THEN
               RAISE_APPLICATION_ERROR(-20501, 'Operao bloqueada! Pedido em processamento pelo SAGA (WMS)', TRUE);
            END IF;
         END IF;
      END IF;
   END IF;
END;
/

ALTER TABLE CARACPRODSAGA
ADD IDPRODPESAVEL VARCHAR2(1)
/

-- VERSAO --
BEGIN ATUVEROBJ('BLOQUEA_PEDIDO_OL','6.05.XXX'); END;
/