/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_JUSTEXCHIS                                               */
/* Tabela : JUSTEXCHIS                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 29/04/2004 - WELBERT G. MOITINHA                                           */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_JUSTEXCHIS'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_JUSTEXCHIS
GO

CREATE TRIGGER DTULTATU_JUSTEXCHIS
ON JUSTEXCHIS
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'JUSTEXCHIS', null, 'CDJUSTEXCHIS=' + CDJUSTEXCHIS + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE JUSTEXCHIS
      SET DTULTATUJEHI = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(JUSTEXCHIS.CDJUSTEXCHIS,0) = ISNULL(INSERTED.CDJUSTEXCHIS,0)) AND
            (ISNULL(JUSTEXCHIS.DSJUSTEXCHIS,0) = ISNULL(INSERTED.DSJUSTEXCHIS,0)) ;
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_JUSTEXCHIS','4.05.112';
GO

